Bug 920856 - Review Request: five-or-more - GNOME five-or-more game
Summary: Review Request: five-or-more - GNOME five-or-more game
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-12 21:55 UTC by Tanner Doshier
Modified: 2013-05-07 13:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-06 21:09:52 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora-review+


Attachments (Terms of Use)

Description Tanner Doshier 2013-03-12 21:55:10 UTC
Spec URL: http://doshitan.com/tmp/five-or-more/five-or-more.spec
SRPM URL: http://doshitan.com/tmp/five-or-more/five-or-more-3.7.90-1.fc19.src.rpm
Description: This is the GNOME game Five or More

rpmlint:
five-or-more.x86_64: E: incorrect-fsf-address /usr/share/doc/five-or-more-3.7.90/COPYING
five-or-more.x86_64: E: zero-length /var/games/glines.Medium.scores
five-or-more.x86_64: E: zero-length /var/games/glines.Small.scores
five-or-more.x86_64: E: zero-length /var/games/glines.Large.scores
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/games-preimage.c
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/games-stock.c
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/games-stock.h
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/games-file-list.h
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/games-file-list.c
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/games-scores-dialog.h
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/games-preimage.h
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/games-scores.h
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/glines.c
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/games-scores.c
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.7.90/src/games-scores-dialog.c
3 packages and 0 specfiles checked; 15 errors, 0 warnings.

Comment 1 Tanner Doshier 2013-04-02 22:38:39 UTC
3.8.0-1
- Update to 3.8.0
- Use setgid games

3.7.92-1
- Update to 3.7.92
- Use old desktop file name

Spec URL: http://doshitan.com/tmp/five-or-more/five-or-more.spec
SRPM URL: http://doshitan.com/tmp/five-or-more/five-or-more-3.8.0-1.fc19.src.rpm

Comment 2 Kalev Lember 2013-05-06 19:51:17 UTC
Fedora review five-or-more-3.8.0-1.fc19.src.rpm 2013-05-06

$ rpmlint five-or-more \
          five-or-more-debuginfo-3.8.0-1.fc20.x86_64.rpm \
          five-or-more-3.8.0-1.fc20.src.rpm
five-or-more.x86_64: W: obsolete-not-provided gnome-games-glines
five-or-more.x86_64: W: binaryinfo-readelf-failed /usr/bin/five-or-more readelf: Error: Input file '/usr/bin/five-or-more' is not readable.
five-or-more.x86_64: W: binaryinfo-tail-failed /usr/bin/five-or-more: [Errno 13] Permission denied: '/usr/bin/five-or-more'
five-or-more.x86_64: W: ldd-failed /usr/bin/five-or-more
five-or-more.x86_64: E: incorrect-fsf-address /usr/share/doc/five-or-more-3.8.0/COPYING
five-or-more.x86_64: E: setgid-binary /usr/bin/five-or-more games 02551L
five-or-more.x86_64: E: non-standard-executable-perm /usr/bin/five-or-more 02551L
five-or-more.x86_64: E: non-standard-executable-perm /usr/bin/five-or-more 02551L
five-or-more.x86_64: E: zero-length /var/games/glines.Medium.scores
five-or-more.x86_64: E: zero-length /var/games/glines.Small.scores
five-or-more.x86_64: E: zero-length /var/games/glines.Large.scores
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/glines.c
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/games-preimage.h
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/games-stock.h
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/games-scores-dialog.c
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/games-preimage.c
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/games-scores.h
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/games-stock.c
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/games-scores-dialog.h
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/games-file-list.h
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/games-file-list.c
five-or-more-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/five-or-more-3.8.0/src/games-scores.c
3 packages and 0 specfiles checked; 18 errors, 4 warnings.


+ OK
! needs attention

+ Rpmlint is noisy here, but most of the warnings / errors seem harmless.
  The unreadable /usr/bin/five-or-more is a bit weird, but it's the same as in
  the old gnome-games and I suppose it didn't have the r bit for a reason.
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  f1b6bed76256a6c7a76384426c7d02fc  five-or-more-3.8.0.tar.xz
  f1b6bed76256a6c7a76384426c7d02fc  Download/five-or-more-3.8.0.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8

Looks good!

APPROVED

Comment 3 Tanner Doshier 2013-05-06 19:59:40 UTC
New Package SCM Request
=======================
Package Name: five-or-more
Short Description: Remove colored balls from the board by forming lines
Owners: doshitan
Branches: f19
InitialCC:

Comment 4 Gwyn Ciesla 2013-05-06 20:11:19 UTC
Git done (by process-git-requests).

Comment 5 Tanner Doshier 2013-05-06 21:09:52 UTC
Built in f19 and rawhide.

Comment 6 Gwyn Ciesla 2013-05-07 13:10:35 UTC
Clearing flag.


Note You need to log in before you can comment on or make changes to this bug.